apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Release.Namespace }}
  name: {{ template "service-a.fullname" . }}
  labels:
    app: {{ template "service-a.name" . }}
    chart: {{ template "service-a.chart" . }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}

spec:
  type: ClusterIP
  ports:
    - name: http
      port: {{  .Values.config.port }}
      targetPort: {{  .Values.config.port }}
      protocol: TCP
  selector:
    app: {{ template "service-a.name" . }}
    release: {{ .Release.Name }}

